aboutsummaryrefslogtreecommitdiffhomepage
path: root/completion
diff options
context:
space:
mode:
Diffstat (limited to 'completion')
-rw-r--r--completion/notmuch-completion.bash4
1 files changed, 4 insertions, 0 deletions
diff --git a/completion/notmuch-completion.bash b/completion/notmuch-completion.bash
index d88c5e7d..0571dc9d 100644
--- a/completion/notmuch-completion.bash
+++ b/completion/notmuch-completion.bash
@@ -395,6 +395,10 @@ _notmuch()
{
local _notmuch_commands="compact config count dump help insert new reply restore search setup show tag"
local arg cur prev words cword split
+
+ # require bash-completion with _init_completion
+ type -t _init_completion >/dev/null 2>&1 || return
+
_init_completion || return
COMPREPLY=()